Available in VPC
Get the latest summary results for each scene in an asset. One latest scene summary per asset is automatically selected, and the response includes scene summary information at the index level and summary results for each scene.
Results can only be retrieved when the scene summary status is SUMMARIZE_COMPLETED. An error will be returned if the request is made before the scene summary is complete. If the latest scene summary does not exist, a 404 error is returned.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/scene-summary |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
The following describes the parameters.
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
asset_id |
String | Required | Media asset ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/scene-summary' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Scene summary result information |
result.indexId |
Integer | - | Index ID |
result.sceneSummaryInfo |
Object | - | Scene summary information
|
result.sceneSummaryInfo.lastAnalyzedAt |
String | - | Last scene summarization completion date and time
|
result.sceneSummaryInfo.locale |
String | - | Summary results language
|
result.sceneSummaryInfo.analyzedScenes |
Array<Integer> | - | List of scene IDs included in the last analysis
|
result.sceneSummaries |
Array | - | List of scene-specific summary results: sceneSummaries |
sceneSummaries
The following describes sceneSummaries.
| Field | Type | Required | Description |
|---|---|---|---|
scene |
Integer | - | Scene number |
startMs |
Integer | - | Scene start time (millisecond) |
endMs |
Integer | - | Scene end time (millisecond) |
sceneSummary |
Object | - | Scene summary information
|
sceneSummary.description |
String | - | Scene summary description
|
sceneSummary.metadataChangedAfterSummary |
Boolean | - | Whether metadata (character labels, script, etc.) that could affect the scene has changed since the scene summary was generated
|
sceneSummary.analyzedAt |
String | - | Date and time the scene summary for the scene was completed
|
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"indexId": 23844,
"sceneSummaryInfo": {
"lastAnalyzedAt": "2026-07-01T11:30:00",
"locale": "ko-KR",
"analyzedScenes": null
},
"sceneSummaries": [
{
"scene": 1,
"startMs": 1000,
"endMs": 3000,
"sceneSummary": {
"description": "The host greets the camera from Gwanghwamun Square in Seoul and introduces today’s interview topic. The host says, \"Today, we’ll be hearing stories about citizens’ daily lives.\" and heads out onto the street.",
"metadataChangedAfterSummary": false,
"analyzedAt": "2026-07-01T11:30:00"
}
}
]
}
}